const columns =  [
  { type: 'selection', fixed: 'left', _noset_: true },
  {
    prop: 'orderCode',
    label: '订单编号',
    width: '155px'
  },

  // {
  //   prop: "good_code",
  //   label: "商品编码",
  //   width:"128"
  // },
  {
    prop: 'good_name',
    label: '商品名称',
    _slot_: 'good_name',
    width: '150'
  },
  {
    prop: 'good_class',
    label: '商品分类',
    width: '120'
  },
  {
    prop: 'good_num',
    label: '商品数量',
    width: '110'
  },
  {
    prop: 'sale_price',
    label: '销售单价',
    width: '110'
  },
  {
    prop: 'total_price',
    label: '总价',
    width: '110'
  },
  {
    prop: 'status',
    label: '订单状态',
    _slot_: 'status',
    width: '120px'
  },
  {
    prop: 'use_type',
    label: '平台类型',
    _slot_: 'use_type',
    width: '80'
  },

  // {
  //   prop: 'cgd_status',
  //   label: '采购单状态',
  //   _slot_: 'cgd_status',
  //   width: '120px'
  // },
  {
    prop: 'order_source',
    label: '订单来源',
    _slot_: 'order_source',
    width: '100px'
  },
  {
    prop: 'order_type',
    label: '商品类型',
    _slot_: 'order_type',
    width: '100px'
  },
  // {
  //   prop: 'useage',
  //   label: '订单用途',
  //   width: '100px'
  // },

  {
    prop: 'customer_code',
    label: '客户公司编码',
    width: '155px'
  },
  {
    prop: 'customerName',
    label: '企业客户名称',
    width: '125px'
  },
  {
    prop: 'supplierName',
    label: '销售方公司',
    width: '125px'
  },
  // {
  //   prop: "company_name",
  //   label: "订单创建人部门",
  //   minWidth: "100px",
  // },

  {
    prop: 'apply_name',
    label: '订单创建人',
    width: '85px'
  },
  {
    prop: 'cgder',
    label: '供应商负责人',
    width: '95'
  },
  {
    prop: 'good_creater',
    label: '商品创建人',
    width: '85px'
  },
  {
    prop: 'addtime',
    label: '创建时间',
    width: '145px'
  },
]


const ShowDataTableColumns=[
  {
    prop: 'orderCode',
    label: '订单编号',
    span: 6
  },
  {
    prop: 'status',
    label: '订单状态',
    _slot_: 'status',
    span: 6
  },
  {
    prop: 'order_source',
    label: '订单来源',
    _slot_: 'order_source',
    span: 6
  },
  {
    prop: 'order_type',
    label: '商品类型',
    _slot_: 'order_type',
    span: 6
  },

  {
    prop: 'supplierName',
    label: '销售方公司',
    _slot_: 'supplierName',
    span: 12
  },
  {
    prop: 'companyName',
    label: '购买方公司',
    _slot_: 'companyName',
    span: 12
  },

  {
    prop: 'platform_name',
    label: '所属平台',
    span: 12
  },
  {
    prop: 'apply_name',
    label: '创建人',
    span: 6
  },
  {
    prop: 'addtime',
    label: '创建时间',
    span: 6
  },
  {
    prop: 'is_active',
    label: '活动类型',
    _slot_: 'is_active',
    span: 12
  },
  {
    prop: 'arrive_time',
    label: '要求到货时间',
    span: 6
  },
  {
    prop: 'paytime',
    label: '承诺付款时间',
    span: 6
  },

  {
    prop: 'good_num',
    label: '购买数量',
    span: 4
  },
  {
    prop: 'send_num',
    label: '已发数量',
    span: 4
  },
  {
    prop: 'wsend_num',
    label: '未发数量',
    span: 4
  },
  {
    prop: 'th_num',
    label: '退货数量',
    span: 4
  },

  {
    prop: 'sale_price',
    label: '售价',
    append: '元',
    span: 4
  },
  {
    prop: 'total_price',
    label: '总金额',
    append: '元',
    span: 4
  },
  {
    prop: 'returnCode',
    label: '售后来源单号',
    span: 6
  },
  {
    prop: 'proof_id',
    label: '比价凭证',
    _slot_: 'proof_id',
    span: 6
  },

  {
    prop: 'post_fee',
    label: '物流费用',
    append: '元',
    span: 6
  },
  {
    prop: 'send_type',
    label: '下单方式',
    _slot_: 'send_type',
    span: 6
  },

  {
    prop: 'useage',
    label: '订单用途',
    span: 24
  },

  {
    prop: 'remark',
    label: '备注',
    span: 24
  },

  {
    prop: 'platform_order',
    label: '平台订单号',
    span: 24
  },
  {
    prop: 'workNo',
    label: '其他单号',
    span: 24
  }
]
const statusOptions = [
  { value: "0", label: "待发货" },
  { value: "1", label: "待发货完成" },
  { value: "2", label: "发货已完成" },
  { value: "3", label: "订单已取消" },
];

const mianColumns=[
  {
    prop: "code",
    label: "采购单编号",
    span:  6
  },
  {
    prop: "createtime",
    label: "创建时间",
    span: 6
  },
  {
    prop: "creater",
    label: "创建人",
    span: 4
  },
  {
    prop: "apply_name",
    label: "申请人",
    span: 4
  },
  {
    prop:'status',
    label:'状态',
    span: 4,
    _slot_:'status'
  },
  {
    label:"客户公司(修改前)",
    span: 12,
    _slot_:'before'
  },
  {
    label: "客户公司(修改后)",
    span: 12 ,
    _slot_:'after'
  },
  {
    prop:'remark',
    label: "备注",
    span: 24 ,
  },
]

export { columns, statusOptions, ShowDataTableColumns,mianColumns }
