const columns = [
  {
  type: "selection",
    fixed: "left",
    _noset_: true
  },
  {
    prop: "spuCode",
    label: "编号",
    width: "160px",
  },
  {
    prop: "good_name",
    label: "名称",
    "min-width": "160px",
  },
  {
    prop: "cat_name",
    label: "分类",
  },
  {
    prop: "brand_name",
    label: "品牌",
  },
  {
    prop: "good_type",
    label: "是否定制",
    _slot_: "good_type",
    width: "70px",
  },
  {
    prop: "companyNo",
    label: "业务公司编号",
    width: "110px",
  },
  {
    prop: "companyName",
    label: "业务公司名称",
    width: "110px",
  },
  {
    prop: "addtime",
    label: "创建时间",
    width: "140px",
  }
]
const ShowDataTableColumns=[
  {
    prop: "cgdNo",
    label: "采购单编号",
    span: 6
  },
  {
    prop: "status",
    label: "采购单状态",
    _slot_: "status",
    span: 6
  },
  {
    prop: "order_type",
    label: "采购单来源",
    _slot_: "order_type",
    span: 6
  },
  {
    prop: "lasttime",
    label: "要求入库时间",
    span: 6
  },
 
  {
    prop: "supplier_name",
    label: "销售方公司",
    _slot_: "supplier_name",
  },
  {
    prop: "company",
    label: "购买方公司",
    _slot_: "company",
  },

  {
    prop: "wsm",
    label: "仓库信息",
    _slot_: "wsm",
  },
 
 
 
  {
    prop: "total_fee",
    label: "采购总成本",
    span: 6
  },
  {
    prop: "good_price",
    label: "采购单价",
    span: 6
  },
  {
    prop: "good_num",
    label: "采购总数量",
    span: 6
  },
  {
    prop: "send_num",
    label: "已发货数量",
    span: 6
  },
  {
    prop: "wsend_num",
    label: "未发货数量",
    span: 6
  },
  {
    prop: "addtime",
    label: "创建时间",
    span: 6
  },
]
const statusOptions = [
  {
    value: "0",
    label: "新建待审核"
  },
  {
    value: "1",
    label: "审核通过"
  },
  {
    value: "2",
    label: "基础修改待审核"
  },
  {
    value: "3",
    label: "成本修改待审核"
  }
]

const mianColumns=[
  {
    prop: "code",
    label: "采购单编号",
    span:  6
  },
  {
    prop: "createtime",
    label: "创建时间",
    span: 6
  },
  {
    prop: "creater",
    label: "创建人",
    span: 4
  },
  {
    prop: "apply_name",
    label: "申请人",
    span: 4
  },
  {
    prop:'status',
    label:'状态',
    span: 4,
    _slot_:'status'
  },
  {
    label:"税率(修改前)",
    span: 12,
    _slot_:'before'
  },
  {
    label: "税率(修改后)",
    span: 12 ,
    _slot_:'after'
  },
  {
    prop:'remark',
    label: "备注",
    span: 24 ,
  },
]

export { columns, statusOptions, ShowDataTableColumns,mianColumns }
