const table2 = [
  // {
  //   type: "selection",
  //   fixed: "left",
  //   _noset_: true
  // },
  {
    prop: 'skuCode',
    label: '商品上线编号',
    minWidth: '155px'
  },
  {
    prop: 'spuCode',
    label: '商品成本编号',
    minWidth: '155px'
  },
  {
    prop: 'plat_code',
    label: '平台商品编码',
    minWidth: '155px'
  },

  {
    prop: 'good_name',
    label: '商品名称',
    minWidth: '155px'
  },
  {
    prop: 'platform_name',
    label: '上线平台',
    minWidth: '155px'
  },
  {
    prop: 'online_time',
    label: '上线完成时间',
    minWidth: '145px'
  },
  {
    prop: 'moq',
    label: '起订量',
    minWidth: '110'
  },
  {
    prop: 'nake_fee',
    label: '成本单价',
    minWidth: '110px'
  },
  {
    prop: 'cost_fee',
    label: '工艺费',
    minWidth: '110px'
  },
  {
    prop: 'delivery_fee',
    label: '物流费',
    minWidth: '110px'
  },
  {
    prop: 'cert_fee',
    label: '证书费',
    minWidth: '110px'
  },
  {
    prop: 'mark_fee',
    label: '加标费',
    minWidth: '110px'
  },
  {
    prop: 'packing_fee',
    label: '包装费',
    minWidth: '110px'
  },
  {
    prop: 'other_fee',
    label: '其他费用',
    minWidth: '110px'
  },
  {
    prop: 'nake_total',
    label: '成本合计',
    minWidth: '110px'
  },
  {
    prop: 'addtime',
    label: '申请上线时间',
    minWidth: '145px'
  }
]

const table3 = [
  // {
  //   type: 'selection',
  //   fixed: 'left',
  //   _noset_: true
  // },
  {
    prop: 'good_code',
    label: '产品编码',
    minWidth: '155px'
  },
  {
    prop: 'good_name',
    label: '产品名称',
    minWidth: '155px'
  },
  {
    prop: 'good_num',
    label: '当日库存销售'
  },
  {
    prop: 'send_num',
    label: '当日库存发货',
    minWidth: '100px'
  },
  {
    prop: 'stock_num',
    label: '当日剩余可用库存',
    minWidth: '90px'
  },
  {
    prop: 'supplierName',
    label: '业务公司名称',
    width: '190px'
  },
  {
    prop: 'good_price',
    label: '库存采购单'
  },
  {
    prop: 'total_fee',
    label: '当前库存消耗金额',
    minWidth: '90px'
  }
]

const table4 = [
  {
    prop: 'outChildCode',
    label: '发货工单号',
    minWidth: '155px'
  },
  {
    prop: 'outCode',
    label: '发货单编号',
    minWidth: '155px'
  },
  {
    prop: 'orderCode',
    label: '销售订单编号',
    minWidth: '155px'
  },
  {
    prop: 'is_supplier',
    label: '供应商端'
  },
  {
    prop: 'status',
    label: '状态',
    _slot_: 'status',
    width: '110px'
  },
  {
    prop: 'order_type',
    label: '商品类型',
    _slot_: 'order_type'
  },
  {
    prop: 'order_source',
    label: '订单来源',
    _slot_: 'order_source'
  },
  {
    prop: 'num',
    label: '发货数量'
  },
  {
    prop: 'wsm_code',
    label: '仓库编号',
    width: '160px'
  },
  {
    prop: 'name',
    label: '仓库名称',
    width: '160px'
  },
  {
    prop: 'spuCode',
    label: '商品成本编码',
    width: '160px'
  },
  {
    prop: 'skuCode',
    label: '商品上线编码',
    width: '160px'
  }, {
    prop: 'good_name',
    label: '商品名称',
    width: '160px'
  }, {
    prop: 'companyNo',
    label: '业务公司编码',
    width: '160px'
  }, {
    prop: 'companyName',
    label: '业务公司名称',
    width: '160px'
  }, {
    prop: 'customer_code',
    label: '客户编码',
    width: '160px'
  }, {
    prop: 'customer_name',
    label: '客户名称',
    width: '160px'
  }, {
    prop: 'supplierNo',
    label: '供应商编码',
    width: '160px'
  }, {
    prop: 'supplierName',
    label: '供应商名称',
    width: '160px'
  }, {
    prop: 'addtime',
    label: '下单时间',
    width: '110px'
  },
  {
    prop: 'platform_type',
    label: '对接类型',
    _slot_: 'platform_type'
  }, {
    prop: 'post_name',
    label: '物流公司'
  }, {
    prop: 'post_fee',
    label: '物流费用'
  }, {
    prop: 'addr',
    label: '收货地址'
  }, {
    prop: 'addr_contactor',
    label: '收货联系人',
    width: '90px'
  }, {
    prop: 'addr_mobile',
    label: '联系方式'
  }, {
    prop: 'cgdNo',
    label: '采购单号'
  }, {
    prop: 'remark',
    label: '备注'
  }, {
    prop: 'report_sx',
    label: '时效'
  }, {
    prop: 'depart',
    label: '申请人部门',
    width: '90px'
  }, {
    prop: 'person',
    label: '供应商负责人',
    width: '95px'
  }, {
    prop: 'contactor_name',
    label: '仓库负责人',
    width: '90px'
  }
]

const table5 = [
  {
    prop: 'outCode',
    label: '发货单编号',
    minWidth: '155px'
  },
  {
    prop: 'orderCode',
    label: '订单编号',
    minWidth: '155px'
  },
  {
    prop: 'cgdNo',
    label: '采购单编号',
    minWidth: '155px'
  },
  {
    prop: 'send_num',
    label: '发货数量'
  },
  {
    prop: 'platform_type',
    label: '平台类型',
    minWidth: '70px'
  },
  {
    prop: 'status',
    label: '状态',
    _slot_: 'status',
    minWidth: '90px'
  },
  {
    prop: 'order_source',
    label: '订单来源'
  },
  {
    prop: 'order_type',
    label: '商品类型',
    width: '100px'
  },
  {
    prop: 'supName',
    label: '供应商',
    minWidth: '190px'
  },
  {
    prop: 'cat_name',
    label: '商品分类',
    minWidth: '120px'
  }, {
    prop: 'good_code',
    label: '商品编号',
    minWidth: '160px'
  }, {
    prop: 'good_name',
    label: '商品名称',
    minWidth: '160px'
  }, {
    prop: 'customer_code',
    label: '客户编码',
    minWidth: '160px'
  }, {
    prop: 'customerName',
    label: '客户名称',
    minWidth: '160px'
  }, {
    prop: 'supplierNo',
    label: '业务公司编码',
    minWidth: '160px'
  }, {
    prop: 'supplierName',
    label: '业务公司名称',
    minWidth: '160px'
  }, {
    prop: 'contactor',
    label: '联系人',
    minWidth: '90px'
  }, {
    prop: 'mobile',
    label: '联系电话',
    minWidth: '110px'
  }, {
    prop: 'post_name',
    label: '物流公司',
    minWidth: '90px'
  }, {
    prop: 'post_code',
    label: '物流单号',
    minWidth: '90px'
  }, {
    prop: 'post_fee',
    label: '物流费用',
    minWidth: '90px'
  }, {
    prop: 'send_time',
    label: '发货时间',
    minWidth: '90px'
  }, {
    prop: 'apply_name',
    label: '申请人',
    minWidth: '90px'
  }, {
    prop: 'depart',
    label: '申请人部门',
    minWidth: '90px'
  },
  {
    prop: 'addtime',
    label: '添加时间',
    minWidth: '110px'
  },
  {
    prop: 'createdTime',
    label: '下单时间',
    minWidth: '110px'
  },
  {
    prop: 'report_sx',
    label: '时效',
    minWidth: '90px'
  },
  {
    prop: 'cgder',
    label: '供应商负责人',
    minWidth: '100px'
  }
]

const table6 = [
  {
    prop: 'orderCode',
    label: '订单编号',
    minWidth: '155px'
  },
  {
    prop: 'order_type',
    label: '商品类型',
    width: '100px',
    _slot_: 'order_type'
  },
  {
    prop: 'status',
    label: '订单状态',
    width: '110px',
    _slot_: 'status'
  },

  {
    prop: 'good_code',
    label: '商品成本编号',
    width: '160px'
  },
  {
    prop: 'skuCode',
    label: '上线商品编号',
    width: '155px'
  },
  {
    prop: 'good_name',
    label: '商品名称',
    minWidth: '155px'
  },
  {
    prop: 'good_num',
    label: '购买数量',
    width: '110px'
  },
  {
    prop: 'send_num',
    label: '已发数量',
    width: '110px'
  },
  {
    prop: 'wsend_num',
    label: '未发数量',
    width: '110px'
  },
  {
    prop: 'not_addr_address_good_num',
    label: '无地址数量',
    width: '110px'
  },

  {
    prop: 'nickname',
    label: '申请人',
    width: '70px'
  },
  {
    prop: 'name',
    label: '所属部门',
    width: '90px'
  },
  {
    prop: 'month',
    label: '下单月份',
    width: '90px'
  }
]

const table7 = [
  // {
  //   type: "expand",
  //   _slot_: "expand",
  //   fixed: "left",
  //   _noset_: true,
  // },
  // {
  //   type: "selection",
  //   fixed: "left",
  //   _noset_: true
  // },
  {
    prop: 'return_time',
    label: '退货时间',
    minWidth: '155px'
  },
  {
    prop: 'thCode',
    label: '退货单号',
    minWidth: '155px'
  },
  {
    prop: 'outCode',
    label: '发货单编码',
    minWidth: '155px'
  },
  {
    prop: 'status',
    label: '退货单状态',
    minWidth: '155px'
  },
  {
    prop: 'apply_name',
    label: '创建人',
    minWidth: '155px'
  },
  {
    prop: 'apply_company',
    label: '创建人所属部门',
    minWidth: '155px'
  },
  {
    prop: 'orderCode',
    label: '销售订单编号',
    minWidth: '155px'
  },
  {
    prop: 'addtime',
    label: '下单日期',
    minWidth: '155px'
  },
  {
    prop: 'companyName',
    label: '客户名称',
    minWidth: '155px'
  },
  {
    prop: 'good_name',
    label: '产品名称',
    minWidth: '155px'
  },
  {
    prop: 'sale_price',
    label: '单价',
    minWidth: '155px'
  },
  {
    prop: 'wsend_num',
    label: '未发货数量',
    minWidth: '155px'
  },
  {
    prop: 'th_num',
    label: '退货数量',
    minWidth: '155px'
  },
  {
    prop: 'th_fee',
    label: '退货销售货款',
    minWidth: '155px'
  },
  {
    prop: 'contactor',
    label: '发货单联系人',
    minWidth: '155px'
  },
  {
    prop: 'mobile',
    label: '发货单联系人电话',
    minWidth: '155px'
  },
  {
    prop: 'addr',
    label: '发货单地址',
    minWidth: '155px'
  },
  {
    prop: 'result',
    label: '退货原因',
    minWidth: '155px'
  }
]

export { table2, table3, table4, table5, table6, table7 }
