export const stockColumns = [
  {
    title:"仓库信息"
  },
  {
    label: "仓库名称",
    prop: "name",
    span: "12",
  },
  {
    label: "仓库负责人",
    prop: "contactor_name",
    span: "6",
  },
  {
    label: "负责人电话",
    prop: "mobile",
    span: "6",
  },
  {
    label: "所在业务公司",
    prop: "companyName",
    span: "12",
  },
  {
    label: "所在供应商公司",
    prop: "supplierName",
    span: "12",
  },
  {
    label: "仓库所在省市区",
    prop: "source",
    span: 12,
  },
  {
    label: "仓库所在详细地址",
    prop: "addr",
    span: 6,
  },
  {
    label: "仓库类型",
    prop: "type_name",
    span: 6,
  },
  {
    title:"收发货信息"
  },
  {
    label: "收发货联系人",
    prop: "wsm_name",
    span: 6,
  },
  {
    label: "联系人职位",
    prop: "position",
    span: 6,
  },
  {
    label: "联系人电话",
    prop: "wsm_mobile",
    span: 12,
  },
  {
    label: "省市区",
    prop: "target",
    span: 12,
  },
  {
    label: "详细地址",
    prop: "wsm_addr",
    span: 12,
  },
];

export const productColumns = [
  {
    prop: "cat_info",
    label: "商品分类",
    span: 8,
    _slot_: "cat_info",
  },
  {
    prop: "good_img",
    label: "商品主图",
    _slot_: "good_img",
    span: 8,
  },
  {
    prop: "good_info_img",
    _slot_: "good_info_img",
    label: "详情图片",
    span: 8,
  },
  {
    prop: "good_name",
    label: "商品名称",
    _slot_: "good_name",
    span: 24,
  },
  {
    prop: "companyName",
    label: "业务公司",
    span: 12,
  },
  {
    prop: "supplierName",
    label: "供应商",
    span: 12,
  },
  {
    prop: "brand_name",
    label: "商品品牌",
    span: 6,
  },
  {
    prop: "is_auth",
    label: "销售权限",
    _slot_: "is_auth",
    span: 6,
  },
  {
    prop: "unit",
    label: "单位",
    span: 6,
  },
  {
    prop: "tax",
    label: "税点",
    _slot_: "tax",
    span: 6,
  },
  {
    prop: "is_exclusive",
    label: "专属类型",
    _slot_: "is_exclusive",
    span: 6,
  },
  {
    prop: "weight",
    label: "商品总重量",
    _slot_: "weight",
    span: 6,
  },
  {
    prop: "is_stock",
    label: "是否库存品",
    _slot_: "is_stock",
    span: 6,
  },
  {
    prop: "is_combind",
    label: "组合类型",
    _slot_: "is_combind",
    span: 6,
  },
  {
    prop: "noble",
    _slot_: "noble",
    label: "贵金属信息",
    span: 24,
  },
  {
    prop: "after_sales",
    label: "售后说明",
    span: 24,
  },
  {
    prop: "good_remark",
    label: "商品备注",
    span: 24,
  },
  {
    prop: "craft_desc",
    label: "工艺说明",
    span: 24,
  },
  {
    prop: "packing_way",
    label: "包装方式",
    span: 6,
  },
  {
    prop: "packing_spec",
    label: "装箱规格",
    span: 6,
  },
  {
    prop: "packing_weight",
    label: "装箱重量",
    _slot_: "packing_weight",
    span: 6,
  },
  {
    prop: "packing_size",
    label: "装箱尺寸",
    span: 6,
  },
  {
    prop: "good_size",
    label: "装箱尺寸",
    span: 6,
  },
  {
    prop: "good_bar",
    label: "商品条形码",
    span: 6,
  },
  {
    prop: "packing_list",
    label: "商品清单",
    span: 12,
  },
  {
    prop: "packing_spec",
    label: "供货区域",
    span: 6,
    _slot_: "packing_spec",
  },
  {
    prop: "delivery_day",
    label: "物流天数",
    _slot_: "delivery_day",
    span: 6,
  },
  {
    prop: "lead_time",
    label: "供货周期",
    _slot_: "lead_time",
    span: 6,
  },
  {
    prop: "sample_day",
    label: "调样周期",
    _slot_: "sample_day",
    span: 6,
  },
  {
    prop: "delivery_place",
    label: "发货地",
    span: 12,
    _slot_: "delivery_place",
  },
  {
    prop: "origin_place",
    label: "产地",
    span: 12,
    _slot_: "origin_place",
  },
];
