export default [
  { type: 'selection', fixed: 'left', _noset_: true },

  {
    prop: 'thCode',
    label: '退货编号',
    width: '160'
  },
  {
    prop: 'orderCode',
    label: '订单编号',
    width: '160'
  },
  {
    prop: 'th_type',
    label: '退货类型',
    width: '100',
    _slot_: "th_type"
  },
  {
    prop: 'th_num',
    label: '退货数量',
    width: '100'
  },
  {
    prop: 'good_code',
    label: '退货商品编号',
    width: '160'
  },
  {
    prop: 'good_name',
    label: '退货商品名称',
    width: '160'
  },
  {
    prop: 'todo',
    label: '退货商品类型',
    _slot_: 'order_type',
    width: '100'
  },
  {
    prop: "companyName",
    label: '业务公司名称',
    width: '180'
  },
  {
    prop: 'supplierName',
    label: '退货商品供应商名称',
    width: '180'
  },
  {
    prop: 'th_cgd_price',
    label: '退货商品采购单价',
    width: '160'
  },
  {
    prop: 'status',
    label: '状态',
    _slot_: 'status',
    width: '120px'
  },
  {
    label: '关联采购单编号',
    width: '160px',
    _slot_: "cgdNo"
  },
  {
    label: '关联采购单商品编号',
    width: '160px',
    _slot_: "goodCode"
  },
  {
    prop: 'order_source',
    label: '关联采购单商品名称',
    width: '130px',
    _slot_: "goodName"
  },

  {
    prop: 'num',
    label: '关联采购单入库数量',
    width: '130px',
    _slot_:"stockNum"
  },
  {
    prop: 'addtime',
    label: '创建时间',
    width: '160px'
  },
  {
    prop: '',
    width: 160,
    label: '操作',
    fixed: 'right',
    _noset_: true,
    _slot_: 'operation'
  }

]
// page	是	string	页码
// size	是	string	页码数
// cgdNo	是	string	采购单编号
// returnCode	是	string	退货单编号
// good_type_code	是	string	商品成本
// good_name	是	string	商品名称
// status	是	string	状态
